Extending Qt Creator Manual | VcsOutputWindow

Extending Qt Creator Manual 4.3.0

# VcsOutputWindow Class

(VcsBase::VcsOutputWindow)

Inherits: | Core::IOutputPane

- List of all members, including inherited members

## Public Types

enum | MessageStyle { None, Error, Warning, Command, Message }

## Properties

- repository : QString

## Public Functions

QString | repository() const

- 14 public functions inherited from Core::IOutputPane

## Public Slots

void | appendCommand(const QString &workingDirectory, const Utils::FileName &binary, const QStringList &args)
void | appendError(const QString &text)
void | appendMessage(const QString &text)
void | appendShellCommandLine(const QString &text)
void | appendSilently(const QString &text)
void | appendWarning(const QString &text)
void | clearRepository()
void | setData(const QByteArray &data)
void | setRepository(const QString &)
void | setText(const QString &text)

- 6 public slots inherited from Core::IOutputPane

## Static Public Members

VcsOutputWindow * | instance()
QString | msgExecutionLogEntry(const QString &workingDir, const Utils::FileName &executable, const QStringList &arguments)

### Additional Inherited Members

- 6 signals inherited from Core::IOutputPane

## Member Type Documentation

### enum VcsOutputWindow::MessageStyle

## Property Documentation

### repository : QString

Access functions:

QString | repository() const
void | setRepository(const QString &)

## Member Function Documentation

### `[static slot]` void VcsOutputWindow::appendCommand(const QString &workingDirectory, const Utils::FileName &binary, const QStringList &args)

### `[static slot]` void VcsOutputWindow::appendError(const QString &text)

### `[static slot]` void VcsOutputWindow::appendMessage(const QString &text)

### `[static slot]` void VcsOutputWindow::appendShellCommandLine(const QString &text)

### `[static slot]` void VcsOutputWindow::appendSilently(const QString &text)

### `[static slot]` void VcsOutputWindow::appendWarning(const QString &text)

### `[static slot]` void VcsOutputWindow::clearRepository()

### `[static]` VcsOutputWindow *VcsOutputWindow::instance()

### `[static]` QString VcsOutputWindow::msgExecutionLogEntry(const QString &workingDir, const Utils::FileName &executable, const QStringList &arguments)

### `[static slot]` void VcsOutputWindow::setData(const QByteArray &data)

### `[static slot]` void VcsOutputWindow::setText(const QString &text)